package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.util.List;

public class IssueRecipeListDTO {
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("三方菜谱id")
   private String planId;
   @ApiModelProperty("机器编号集合")
   private @Size(
   min = 1,
   message = "{menu_machine_num_list_null}"
) List<MenuSendMacListDto> machineNumList;
   @ApiModelProperty("菜谱名称")
   private String recipeName;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public String getPlanId() {
      return this.planId;
   }

   public List<MenuSendMacListDto> getMachineNumList() {
      return this.machineNumList;
   }

   public String getRecipeName() {
      return this.recipeName;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setPlanId(final String planId) {
      this.planId = planId;
   }

   public void setMachineNumList(final List<MenuSendMacListDto> machineNumList) {
      this.machineNumList = machineNumList;
   }

   public void setRecipeName(final String recipeName) {
      this.recipeName = recipeName;
   }
}
